package ru.yandex.webmaster3.viewer.http.filter;

import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.WebmasterCommonErrorSystem;

/**
 * Created by leonidrom on 08/06/2017.
 */
public class ActionDisabledFilterResponse implements ActionResponse.ErrorResponse {
    public enum Code {
        REQUEST__ACTION_DISABLED
    }

    @Override
    public Enum<?> getCode() {
        return Code.REQUEST__ACTION_DISABLED;
    }

    @Override
    public Enum<?> getSubsystem() {
        return WebmasterCommonErrorSystem.REQUEST;
    }

    @Override
    public String getMessage() {
        return "Action is disabled";
    }
}
